"""Define setup routines for charm."""


def pre_install():
    """Do any setup required before the install hook."""
    install_charmhelpers()


def install_charmhelpers():
    """Install the charmhelpers library, if not present."""
    try:
        import enum  # noqa
    except ImportError:
        import subprocess

        subprocess.check_call(["apt-get", "install", "-y", "python-enum34"])

    try:
        import charmhelpers  # noqa
    except ImportError:
        import subprocess

        subprocess.check_call(["apt-get", "install", "-y", "python-pip"])
        subprocess.check_call(["pip", "install", "charmhelpers"])
